searchNodes=[{"doc":"Render emails with Phoenix templates and layouts.This module allows rendering emails with Phoenix layouts and views. Pass an atom (e.g. :welcome_email) as the template name to render both HTML and plain text emails. Use a string if you only want to render one type, e.g. &quot;welcome_email.text&quot; or &quot;welcome_email.html&quot;.ExamplesSet the text and HTML layout for an email.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def welcome_email do new_email() |&gt; put_text_layout({MyAppWeb.LayoutView, &quot;email.text&quot;}) |&gt; put_html_layout({MyAppWeb.LayoutView, &quot;email.html&quot;}) |&gt; render(:welcome) # Pass atom to render html AND plain text templates end endSet both the text and HTML layout at the same time for an email.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def welcome_email do new_email() |&gt; put_layout({MyAppWeb.LayoutView, :email}) |&gt; render(:welcome) end endRender both text and html emails without layouts.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def welcome_email do new_email() |&gt; render(:welcome) end endMake assigns available to a template.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def welcome_email(user) do new_email() |&gt; assign(:user, user) |&gt; render(:welcome) end endMake assigns available to a template during render call.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def welcome_email(user) do new_email() |&gt; put_html_layout({MyAppWeb.LayoutView, &quot;email.html&quot;}) |&gt; render(:welcome, user: user) end endRender an email by passing the template string to render.defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def html_email do new_email |&gt; render(&quot;html_email.html&quot;) end def text_email do new_email |&gt; render(&quot;text_email.text&quot;) end endHTML Layout Example# my_app_web/email.ex defmodule MyApp.Email do use Bamboo.Phoenix, view: MyAppWeb.EmailView def sign_in_email(person) do base_email() |&gt; to(person) |&gt; subject(&quot;Your Sign In Link&quot;) |&gt; assign(:person, person) |&gt; render(:sign_in) end defp base_email do new_email |&gt; from(&quot;Rob Ot&lt;robot@changelog.com&gt;&quot;) |&gt; put_header(&quot;Reply-To&quot;, &quot;editors@changelog.com&quot;) # This will use the &quot;email.html.eex&quot; file as a layout when rendering html emails. # Plain text emails will not use a layout unless you use `put_text_layout` |&gt; put_html_layout({MyAppWeb.LayoutView, &quot;email.html&quot;}) end end # my_app_web/views/email_view.ex defmodule MyAppWeb.EmailView do use MyAppWeb, :view end # my_app_web/templates/layout/email.html.eex &lt;html&gt; &lt;head&gt; &lt;link rel=&quot;stylesheet&quot; href=&quot;&lt;%= static_url(MyApp.Endpoint, &quot;/css/email.css&quot;) %&gt;&quot;&gt; &lt;/head&gt; &lt;body&gt; &lt;%= render @view_module, @view_template, assigns %&gt; &lt;/body&gt; &lt;/html&gt; # my_app_web/templates/email/sign_in.html.eex &lt;p&gt;&lt;%= link &quot;Sign In&quot;, to: sign_in_url(MyApp.Endpoint, :create, @person) %&gt;&lt;/p&gt; # my_app_web/templates/email/sign_in.text.eex # This will not be rendered within a layout because `put_text_layout` was not used. Sign In: &lt;%= sign_in_url(MyApp.Endpoint, :create, @person) %&gt;","ref":"Bamboo.Phoenix.html","title":"Bamboo.Phoenix","type":"module"},{"doc":"Sets an assign for the email. These will be available when rendering the email","ref":"Bamboo.Phoenix.html#assign/3","title":"Bamboo.Phoenix.assign/3","type":"function"},{"doc":"Sets the layout when rendering HTML templates.Exampledef html_email_layout do new_email # Will use MyAppWeb.LayoutView with email.html template when rendering html emails |&gt; put_html_layout({MyAppWeb.LayoutView, &quot;email.html&quot;}) end","ref":"Bamboo.Phoenix.html#put_html_layout/2","title":"Bamboo.Phoenix.put_html_layout/2","type":"function"},{"doc":"Sets the layout for rendering plain text and HTML templates.Exampledef text_and_html_email_layout do new_email # Will use MyAppWeb.LayoutView with the email.html template for html emails # and MyAppWeb.LayoutView with the email.text template for text emails |&gt; put_layout({MyAppWeb.LayoutView, :email}) end","ref":"Bamboo.Phoenix.html#put_layout/2","title":"Bamboo.Phoenix.put_layout/2","type":"function"},{"doc":"Sets the layout when rendering plain text templates.Exampledef text_email_layout do new_email # Will use MyAppWeb.LayoutView with email.text template when rendering text emails |&gt; put_text_layout({MyAppWeb.LayoutView, &quot;email.text&quot;}) end","ref":"Bamboo.Phoenix.html#put_text_layout/2","title":"Bamboo.Phoenix.put_text_layout/2","type":"function"},{"doc":"Render a Phoenix template and set the body on the email.Pass an atom as the template name to render HTML and plain text emails, e.g. :welcome_email. Use a string if you only want to render one type, e.g. &quot;welcome_email.text&quot; or &quot;welcome_email.html&quot;. Scroll to the top for more examples.","ref":"Bamboo.Phoenix.html#render/3","title":"Bamboo.Phoenix.render/3","type":"function"},{"doc":"Bamboo.Phoenix Bamboo &amp; Bamboo.Phoenix are part of the thoughtbot Elixir family of projects.Bamboo.Phoenix is a library to use Phoenix's View rendering layer for your Bamboo emails. After installation, see the Bamboo.Phoenix docs for more information.","ref":"readme.html","title":"Bamboo.Phoenix","type":"extras"},{"doc":"Make sure you have Bamboo installed. To install Bamboo.Phoenix, add it to your list of dependencies in mix.exs:def deps do [ {:bamboo_phoenix, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Bamboo.Phoenix - Installation","type":"extras"},{"doc":"Before opening a pull request, please open an issue first.Once we've decided how to move forward with a pull request:$ git clone https://github.com/thoughtbot/bamboo_phoenix.git $ cd bamboo_phoenix $ mix deps.get $ mix test $ mix formatOnce you've made your additions and mix test passes, go ahead and open a PR!We run the test suite as well as formatter checks on CI. Make sure you are using the Elixir version defined in the .tool-versions file to have consistent formatting with what's being run on CI.","ref":"readme.html#contributing","title":"Bamboo.Phoenix - Contributing","type":"extras"},{"doc":"Bamboo &amp; Bamboo.Phoenix area maintained and funded by thoughtbot, inc. The names and logos for thoughtbot are trademarks of thoughtbot, inc.We love open-source software, Elixir, and Phoenix. See our other Elixir projects, or hire our Elixir Phoenix development team to design, develop, and grow your product.","ref":"readme.html#about-thoughtbot","title":"Bamboo.Phoenix - About thoughtbot","type":"extras"}]